Name:		apt4rpm
Summary:	Create an APT repository
Version:	0.64.2
Release:	0
Source:		%{name}-%{version}.tar.gz
Group:		System
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
URL:            http://apt4rpm.sourceforge.net
Packager:       apt4rpm-devel@lists.sourceforge.net
Requires:	apt perl-XML-LibXML wget

%if "%{_vendor}" == "suse"
BuildRequires:	help2man docbktls docbook_4 jade jadetex mktemp
%else
BuildRequires:	docbook-utils docbook-dtds jade mktemp
%endif

%description
This application creates an Advanced Package Tool (APT) 
repository from rpm packages

#----------------------------------------------------------
%prep
%setup

#----------------------------------------------------------
%build
./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --datadir=%{_datadir} \
  --libdir=%{_libdir} \
  --sysconfdir=%{_sysconfdir} \
  --enable-docdir=%{_defaultdocdir}
make

#----------------------------------------------------------
%install
make DESTDIR=${RPM_BUILD_ROOT} install

#----------------------------------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------
%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/apt/aptate.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/apt4rpm
%{_libdir}/apt4rpm

%doc %{_defaultdocdir}/apt4rpm

%changelog
* Wed Feb 26 2003 R. Bos
- Added mktemp dependency
* Tue Oct 11 2002 R. Bos
- Remove wget requirement (not in case rsync is used e.g.)
* Tue Oct 09 2002 R. Bos
- Add RedHat build requirement
* Tue Jun 04 2002 R. Corsepius
- Add %{_datadir}.
- Add mirrorlist.dtd.
* Tue May 28 2002 R. Corsepius
- Use auto*tools-based configuration
* Mon Feb 25 2002 R Bos
- Added docbook sgml formatted documentation
